% Diese Funktion berechnet aus der Spin_matrix die periodische Fortsetzung
% an ihren Raendern sowie die beiden Untergitter pos(1,:) und pos(2,:)
function[spin_up_down_period,pos]=matrix_periodisch(spin_matrix);


[y_dimension,x_dimension]=size(spin_matrix);

%Beruecksichtigung der Periodizitaet
%Wiederholung der Matrix, Fortsetzung an ihren Raendern
spin_up_down_period=repmat(spin_matrix,[3,3]);
%Ausschneiden der in x und y Dimension um 2 groesseren Spinmatrix
spin_up_down_period=spin_up_down_period(y_dimension:2*y_dimension+1,x_dimension:2*x_dimension+1);       %neue Spinmatrix mit periodischer Fortsetzung

%Berechnung der Koordinaten der beiden Untergitter
x_pos(1,:)=repmat([1:2:x_dimension,2:2:x_dimension],[1,y_dimension/2]);
x_pos(2,:)=repmat([2:2:x_dimension,1:2:x_dimension],[1,y_dimension/2]);
y_pos=repmat(reshape(repmat([1:y_dimension],[x_dimension/2,1]),[1,x_dimension*y_dimension/2]),[2,1]);

x=x_pos+1;
y=y_pos+1;

pos=(x-1)*(y_dimension+2)+y;
